package com.tuoheng.admin.enums;

import lombok.Getter;

/**
 * @Author: 吴彬
 * @CreateTime: 2023-06-12  11:09
 * @Description: 机场日志告警类型 枚举
 * @Version: 1.0
 */
public enum AlarmTypeEnum {

    /**
     * 常规日志
     */
    ALARM_LOG("log", "常规日志"),

    /**
     * 错误日志
     */
    ALARM_ERROR("error", "错误日志"),

    /**
     * 紧急日志
     */
    ALARM_CRITICAL("critical", "紧急日志"),

    ;

    AlarmTypeEnum(String type,String desc) {
        this.type = type;
        this.desc = desc;
    }

    /**
     * 日志类型
     */
    @Getter
    private String type;

    /**
     * 描述
     */
    @Getter
    private String desc;

}
